<?xml version='1.0' encoding='UTF-8'?>
<FilingSummary>
  <Version>3.5.0.2</Version>
  <ProcessingTime/>
  <ReportFormat>html</ReportFormat>
  <ContextCount>226</ContextCount>
  <ElementCount>427</ElementCount>
  <EntityCount>1</EntityCount>
  <FootnotesReported>false</FootnotesReported>
  <SegmentCount>70</SegmentCount>
  <ScenarioCount>0</ScenarioCount>
  <TuplesReported>false</TuplesReported>
  <UnitCount>5</UnitCount>
  <MyReports>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R1.htm</HtmlFileName>
      <LongName>101 - Document - Document And Entity Information</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/DocumentAndEntityInformation</Role>
      <ShortName>Document And Entity Information</ShortName>
      <MenuCategory>Cover</MenuCategory>
      <Position>1</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R2.htm</HtmlFileName>
      <LongName>102 - Statement - CONSOLIDATED BALANCE SHEETS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConsolidatedBalanceSheets</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>2</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R3.htm</HtmlFileName>
      <LongName>103 - Statement - CONSOLIDATED BALANCE SHEETS (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConsolidatedBalanceSheetsParenthetical</Role>
      <ShortName>CONSOLIDATED BALANCE SHEETS (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>3</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R4.htm</HtmlFileName>
      <LongName>104 - Statement - CONSOLIDATED STATEMENTS OF OPERATIONS AND COMPREHENSIVE INCOME (LOSS)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConsolidatedStatementsOfOperationsAndComprehensiveIncomeLoss</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF OPERATIONS AND COMPREHENSIVE INCOME (LOSS)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>4</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R5.htm</HtmlFileName>
      <LongName>105 - Statement - CONSOLIDATED STATEMENTS OF EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConsolidatedStatementsOfEquity</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF EQUITY</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>5</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R6.htm</HtmlFileName>
      <LongName>106 - Statement - CONSOLIDATED STATEMENTS OF EQUITY (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConsolidatedStatementsOfEquityParenthetical</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF EQUITY (Parenthetical)</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>6</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R7.htm</HtmlFileName>
      <LongName>107 - Statement - CONSOLIDATED STATEMENTS OF CASH FLOWS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConsolidatedStatementsOfCashFlows</Role>
      <ShortName>CONSOLIDATED STATEMENTS OF CASH FLOWS</ShortName>
      <MenuCategory>Statements</MenuCategory>
      <Position>7</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R8.htm</HtmlFileName>
      <LongName>108 - Disclosure - ORGANIZATION AND PRINCIPAL ACTIVITIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/OrganizationAndPrincipalActivities</Role>
      <ShortName>ORGANIZATION AND PRINCIPAL ACTIVITIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>8</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R9.htm</HtmlFileName>
      <LongName>109 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPolicies</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>9</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R10.htm</HtmlFileName>
      <LongName>110 - Disclosure - RESTATEMENT OF FINANCIAL STATEMENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RestatementOfFinancialStatements</Role>
      <ShortName>RESTATEMENT OF FINANCIAL STATEMENTS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>10</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R11.htm</HtmlFileName>
      <LongName>111 - Disclosure - ACCOUNTS RECEIVABLE, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AccountsReceivableNet</Role>
      <ShortName>ACCOUNTS RECEIVABLE, NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>11</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R12.htm</HtmlFileName>
      <LongName>112 - Disclosure - OTHER RECEIVABLES, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/OtherReceivablesNet</Role>
      <ShortName>OTHER RECEIVABLES, NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>12</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R13.htm</HtmlFileName>
      <LongName>113 - Disclosure - ADVANCES TO SUPPLIERS - THIRD PARTIES, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNet</Role>
      <ShortName>ADVANCES TO SUPPLIERS - THIRD PARTIES, NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>13</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R14.htm</HtmlFileName>
      <LongName>114 - Disclosure - INVENTORIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/Inventories</Role>
      <ShortName>INVENTORIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>14</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R15.htm</HtmlFileName>
      <LongName>115 - Disclosure - PROPERTY AND EQUIPMENT, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/PropertyAndEquipmentNet</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>15</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R16.htm</HtmlFileName>
      <LongName>116 - Disclosure - INTANGIBLE ASSETS, NET</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IntangibleAssetsNet</Role>
      <ShortName>INTANGIBLE ASSETS, NET</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>16</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R17.htm</HtmlFileName>
      <LongName>117 - Disclosure - SHORT-TERM BORROWINGS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ShorttermBorrowings</Role>
      <ShortName>SHORT-TERM BORROWINGS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>17</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R18.htm</HtmlFileName>
      <LongName>118 - Disclosure - ACCRUED EXPENSES AND OTHER CURRENT LIABILITIES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AccruedExpensesAndOtherCurrentLiabilities</Role>
      <ShortName>ACCRUED EXPENSES AND OTHER CURRENT LIABILITIES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>18</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R19.htm</HtmlFileName>
      <LongName>119 - Disclosure - TAXES PAYABLE</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/TaxesPayable</Role>
      <ShortName>TAXES PAYABLE</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>19</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R20.htm</HtmlFileName>
      <LongName>120 - Disclosure - NON-CONTROLLING INTEREST</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/NoncontrollingInterest</Role>
      <ShortName>NON-CONTROLLING INTEREST</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>20</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R21.htm</HtmlFileName>
      <LongName>121 - Disclosure - COMMITMENTS AND CONTINGENCY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/CommitmentsAndContingency</Role>
      <ShortName>COMMITMENTS AND CONTINGENCY</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>21</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R22.htm</HtmlFileName>
      <LongName>122 - Disclosure - EQUITY</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/Equity</Role>
      <ShortName>EQUITY</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>22</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R23.htm</HtmlFileName>
      <LongName>123 - Disclosure - WARRANTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/Warrants</Role>
      <ShortName>WARRANTS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>23</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R24.htm</HtmlFileName>
      <LongName>124 - Disclosure - EARNINGS (LOSS) PER SHARE</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EarningsLossPerShare</Role>
      <ShortName>EARNINGS (LOSS) PER SHARE</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>24</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R25.htm</HtmlFileName>
      <LongName>125 - Disclosure - INCOME TAXES</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IncomeTaxes</Role>
      <ShortName>INCOME TAXES</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>25</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R26.htm</HtmlFileName>
      <LongName>126 - Disclosure - RELATED PARTY TRANSACTIONS AND BALANCE</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RelatedPartyTransactionsAndBalance</Role>
      <ShortName>RELATED PARTY TRANSACTIONS AND BALANCE</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>26</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R27.htm</HtmlFileName>
      <LongName>127 - Disclosure - SUBSIDY INCOME</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SubsidyIncome</Role>
      <ShortName>SUBSIDY INCOME</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>27</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R28.htm</HtmlFileName>
      <LongName>128 - Disclosure - CONCENTRATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/Concentrations</Role>
      <ShortName>CONCENTRATIONS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>28</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R29.htm</HtmlFileName>
      <LongName>129 - Disclosure - DISCONTINUED OPERATIONS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/DiscontinuedOperations</Role>
      <ShortName>DISCONTINUED OPERATIONS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>29</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R30.htm</HtmlFileName>
      <LongName>130 - Disclosure - SUBSEQUENT EVENTS</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SubsequentEvents</Role>
      <ShortName>SUBSEQUENT EVENTS</ShortName>
      <MenuCategory>Notes</MenuCategory>
      <Position>30</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R31.htm</HtmlFileName>
      <LongName>131 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Policies)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesPolicies</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Policies)</ShortName>
      <MenuCategory>Policies</MenuCategory>
      <Position>31</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R32.htm</HtmlFileName>
      <LongName>132 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesTables</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPolicies</ParentRole>
      <Position>32</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R33.htm</HtmlFileName>
      <LongName>133 - Disclosure - RESTATEMENT OF FINANCIAL STATEMENTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsTables</Role>
      <ShortName>RESTATEMENT OF FINANCIAL STATEMENTS (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/RestatementOfFinancialStatements</ParentRole>
      <Position>33</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R34.htm</HtmlFileName>
      <LongName>134 - Disclosure - ACCOUNTS RECEIVABLE, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AccountsReceivableNetTables</Role>
      <ShortName>ACCOUNTS RECEIVABLE, NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AccountsReceivableNet</ParentRole>
      <Position>34</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R35.htm</HtmlFileName>
      <LongName>135 - Disclosure - OTHER RECEIVABLES, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/OtherReceivablesNetTables</Role>
      <ShortName>OTHER RECEIVABLES, NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/OtherReceivablesNet</ParentRole>
      <Position>35</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R36.htm</HtmlFileName>
      <LongName>136 - Disclosure - ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNetTables</Role>
      <ShortName>ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNet</ParentRole>
      <Position>36</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R37.htm</HtmlFileName>
      <LongName>137 - Disclosure - INVENTORIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/InventoriesTables</Role>
      <ShortName>INVENTORIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/Inventories</ParentRole>
      <Position>37</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R38.htm</HtmlFileName>
      <LongName>138 - Disclosure - PROPERTY AND EQUIPMENT, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/PropertyAndEquipmentNetTables</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/PropertyAndEquipmentNet</ParentRole>
      <Position>38</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R39.htm</HtmlFileName>
      <LongName>139 - Disclosure - INTANGIBLE ASSETS, NET (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IntangibleAssetsNetTables</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IntangibleAssetsNet</ParentRole>
      <Position>39</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R40.htm</HtmlFileName>
      <LongName>140 - Disclosure - ACCRUED EXPENSES AND OTHER CURRENT LIABILITIES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AccruedExpensesAndOtherCurrentLiabilitiesTables</Role>
      <ShortName>ACCRUED EXPENSES AND OTHER CURRENT LIABILITIES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AccruedExpensesAndOtherCurrentLiabilities</ParentRole>
      <Position>40</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R41.htm</HtmlFileName>
      <LongName>141 - Disclosure - TAXES PAYABLE (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/TaxesPayableTables</Role>
      <ShortName>TAXES PAYABLE (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/TaxesPayable</ParentRole>
      <Position>41</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R42.htm</HtmlFileName>
      <LongName>142 - Disclosure - NON-CONTROLLING INTEREST (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/NoncontrollingInterestTables</Role>
      <ShortName>NON-CONTROLLING INTEREST (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/NoncontrollingInterest</ParentRole>
      <Position>42</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R43.htm</HtmlFileName>
      <LongName>143 - Disclosure - EQUITY (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EquityTables</Role>
      <ShortName>EQUITY (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/Equity</ParentRole>
      <Position>43</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R44.htm</HtmlFileName>
      <LongName>144 - Disclosure - WARRANTS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/WarrantsTables</Role>
      <ShortName>WARRANTS (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/Warrants</ParentRole>
      <Position>44</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R45.htm</HtmlFileName>
      <LongName>145 - Disclosure - EARNINGS (LOSS) PER SHARE (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EarningsLossPerShareTables</Role>
      <ShortName>EARNINGS (LOSS) PER SHARE (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EarningsLossPerShare</ParentRole>
      <Position>45</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R46.htm</HtmlFileName>
      <LongName>146 - Disclosure - INCOME TAXES (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IncomeTaxesTables</Role>
      <ShortName>INCOME TAXES (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IncomeTaxes</ParentRole>
      <Position>46</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R47.htm</HtmlFileName>
      <LongName>147 - Disclosure - CONCENTRATIONS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConcentrationsTables</Role>
      <ShortName>CONCENTRATIONS (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/Concentrations</ParentRole>
      <Position>47</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R48.htm</HtmlFileName>
      <LongName>148 - Disclosure - DISCONTINUED OPERATIONS (Tables)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/DiscontinuedOperationsTables</Role>
      <ShortName>DISCONTINUED OPERATIONS (Tables)</ShortName>
      <MenuCategory>Tables</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/DiscontinuedOperations</ParentRole>
      <Position>48</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R49.htm</HtmlFileName>
      <LongName>149 - Disclosure - ORGANIZATION AND PRINCIPAL ACTIVITIES (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/OrganizationAndPrincipalActivitiesDetailsTextual</Role>
      <ShortName>ORGANIZATION AND PRINCIPAL ACTIVITIES (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/OrganizationAndPrincipalActivities</ParentRole>
      <Position>49</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R50.htm</HtmlFileName>
      <LongName>150 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesDetails</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>50</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R51.htm</HtmlFileName>
      <LongName>151 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesDetails1</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>51</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R52.htm</HtmlFileName>
      <LongName>152 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesDetails2</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details 2)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>52</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R53.htm</HtmlFileName>
      <LongName>153 - Disclosure - SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesDetailsTextual</Role>
      <ShortName>SUMMARY OF SIGNIFICANT ACCOUNTING POLICIES (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/SummaryOfSignificantAccountingPoliciesTables</ParentRole>
      <Position>53</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R54.htm</HtmlFileName>
      <LongName>154 - Disclosure - RESTATEMENT OF FINANCIAL STATEMENTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsDetails</Role>
      <ShortName>RESTATEMENT OF FINANCIAL STATEMENTS (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsTables</ParentRole>
      <Position>54</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R55.htm</HtmlFileName>
      <LongName>155 - Disclosure - RESTATEMENT OF FINANCIAL STATEMENTS (Details) (Parenthetical)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsDetailsParenthetical</Role>
      <ShortName>RESTATEMENT OF FINANCIAL STATEMENTS (Details) (Parenthetical)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsTables</ParentRole>
      <Position>55</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R56.htm</HtmlFileName>
      <LongName>156 - Disclosure - RESTATEMENT OF FINANCIAL STATEMENTS (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsDetails1</Role>
      <ShortName>RESTATEMENT OF FINANCIAL STATEMENTS (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsTables</ParentRole>
      <Position>56</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R57.htm</HtmlFileName>
      <LongName>157 - Disclosure - RESTATEMENT OF FINANCIAL STATEMENTS (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsDetails2</Role>
      <ShortName>RESTATEMENT OF FINANCIAL STATEMENTS (Details 2)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/RestatementOfFinancialStatementsTables</ParentRole>
      <Position>57</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R58.htm</HtmlFileName>
      <LongName>158 - Disclosure - ACCOUNTS RECEIVABLE, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AccountsReceivableNetDetails</Role>
      <ShortName>ACCOUNTS RECEIVABLE, NET (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AccountsReceivableNetTables</ParentRole>
      <Position>58</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R59.htm</HtmlFileName>
      <LongName>159 - Disclosure - ACCOUNTS RECEIVABLE, NET (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AccountsReceivableNetDetails1</Role>
      <ShortName>ACCOUNTS RECEIVABLE, NET (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AccountsReceivableNetTables</ParentRole>
      <Position>59</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R60.htm</HtmlFileName>
      <LongName>160 - Disclosure - OTHER RECEIVABLES, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/OtherReceivablesNetDetails</Role>
      <ShortName>OTHER RECEIVABLES, NET (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/OtherReceivablesNetTables</ParentRole>
      <Position>60</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R61.htm</HtmlFileName>
      <LongName>161 - Disclosure - OTHER RECEIVABLES, NET (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/OtherReceivablesNetDetails1</Role>
      <ShortName>OTHER RECEIVABLES, NET (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/OtherReceivablesNetTables</ParentRole>
      <Position>61</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R62.htm</HtmlFileName>
      <LongName>162 - Disclosure - ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNetDetails</Role>
      <ShortName>ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNetTables</ParentRole>
      <Position>62</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R63.htm</HtmlFileName>
      <LongName>163 - Disclosure - ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNetDetails1</Role>
      <ShortName>ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNetTables</ParentRole>
      <Position>63</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R64.htm</HtmlFileName>
      <LongName>164 - Disclosure - ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNetDetails2</Role>
      <ShortName>ADVANCES TO SUPPLIERS - THIRD PARTIES, NET (Details 2)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AdvancesToSuppliersThirdPartiesNetTables</ParentRole>
      <Position>64</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R65.htm</HtmlFileName>
      <LongName>165 - Disclosure - INVENTORIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/InventoriesDetails</Role>
      <ShortName>INVENTORIES (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/InventoriesTables</ParentRole>
      <Position>65</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R66.htm</HtmlFileName>
      <LongName>166 - Disclosure - INVENTORIES (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/InventoriesDetails1</Role>
      <ShortName>INVENTORIES (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/InventoriesTables</ParentRole>
      <Position>66</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R67.htm</HtmlFileName>
      <LongName>167 - Disclosure - PROPERTY AND EQUIPMENT, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/PropertyAndEquipmentNetDetails</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/PropertyAndEquipmentNetTables</ParentRole>
      <Position>67</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R68.htm</HtmlFileName>
      <LongName>168 - Disclosure - PROPERTY AND EQUIPMENT, NET (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/PropertyAndEquipmentNetDetailsTextual</Role>
      <ShortName>PROPERTY AND EQUIPMENT, NET (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/PropertyAndEquipmentNetTables</ParentRole>
      <Position>68</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R69.htm</HtmlFileName>
      <LongName>169 - Disclosure - INTANGIBLE ASSETS, NET (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IntangibleAssetsNetDetails</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IntangibleAssetsNetTables</ParentRole>
      <Position>69</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R70.htm</HtmlFileName>
      <LongName>170 - Disclosure - INTANGIBLE ASSETS, NET (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IntangibleAssetsNetDetails1</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IntangibleAssetsNetTables</ParentRole>
      <Position>70</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R71.htm</HtmlFileName>
      <LongName>171 - Disclosure - INTANGIBLE ASSETS, NET (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IntangibleAssetsNetDetailsTextual</Role>
      <ShortName>INTANGIBLE ASSETS, NET (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IntangibleAssetsNetTables</ParentRole>
      <Position>71</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R72.htm</HtmlFileName>
      <LongName>172 - Disclosure - SHORT-TERM BORROWINGS (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ShorttermBorrowingsDetailsTextual</Role>
      <ShortName>SHORT-TERM BORROWINGS (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/ShorttermBorrowings</ParentRole>
      <Position>72</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R73.htm</HtmlFileName>
      <LongName>173 - Disclosure - ACCRUED EXPENSES AND OTHER CURRENT LIABILITIES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/AccruedExpensesAndOtherCurrentLiabilitiesDetails</Role>
      <ShortName>ACCRUED EXPENSES AND OTHER CURRENT LIABILITIES (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/AccruedExpensesAndOtherCurrentLiabilitiesTables</ParentRole>
      <Position>73</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R74.htm</HtmlFileName>
      <LongName>174 - Disclosure - TAXES PAYABLE (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/TaxesPayableDetails</Role>
      <ShortName>TAXES PAYABLE (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/TaxesPayableTables</ParentRole>
      <Position>74</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R75.htm</HtmlFileName>
      <LongName>175 - Disclosure - NON-CONTROLLING INTEREST (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/NoncontrollingInterestDetails</Role>
      <ShortName>NON-CONTROLLING INTEREST (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/NoncontrollingInterestTables</ParentRole>
      <Position>75</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R76.htm</HtmlFileName>
      <LongName>176 - Disclosure - COMMITMENTS AND CONTINGENCY (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/CommitmentsAndContingencyDetailsTextual</Role>
      <ShortName>COMMITMENTS AND CONTINGENCY (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/CommitmentsAndContingency</ParentRole>
      <Position>76</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R77.htm</HtmlFileName>
      <LongName>177 - Disclosure - EQUITY (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EquityDetails</Role>
      <ShortName>EQUITY (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EquityTables</ParentRole>
      <Position>77</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R78.htm</HtmlFileName>
      <LongName>178 - Disclosure - EQUITY (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EquityDetails1</Role>
      <ShortName>EQUITY (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EquityTables</ParentRole>
      <Position>78</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R79.htm</HtmlFileName>
      <LongName>179 - Disclosure - EQUITY (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EquityDetails2</Role>
      <ShortName>EQUITY (Details 2)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EquityTables</ParentRole>
      <Position>79</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R80.htm</HtmlFileName>
      <LongName>180 - Disclosure - EQUITY (Details 3)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EquityDetails3</Role>
      <ShortName>EQUITY (Details 3)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EquityTables</ParentRole>
      <Position>80</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R81.htm</HtmlFileName>
      <LongName>181 - Disclosure - EQUITY (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EquityDetailsTextual</Role>
      <ShortName>EQUITY (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EquityTables</ParentRole>
      <Position>81</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R82.htm</HtmlFileName>
      <LongName>182 - Disclosure - WARRANTS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/WarrantsDetails</Role>
      <ShortName>WARRANTS (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/WarrantsTables</ParentRole>
      <Position>82</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R83.htm</HtmlFileName>
      <LongName>183 - Disclosure - WARRANTS (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/WarrantsDetails1</Role>
      <ShortName>WARRANTS (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/WarrantsTables</ParentRole>
      <Position>83</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R84.htm</HtmlFileName>
      <LongName>184 - Disclosure - WARRANTS (Details 2)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/WarrantsDetails2</Role>
      <ShortName>WARRANTS (Details 2)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/WarrantsTables</ParentRole>
      <Position>84</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R85.htm</HtmlFileName>
      <LongName>185 - Disclosure - WARRANTS (Details 3)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/WarrantsDetails3</Role>
      <ShortName>WARRANTS (Details 3)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/WarrantsTables</ParentRole>
      <Position>85</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R86.htm</HtmlFileName>
      <LongName>186 - Disclosure - WARRANTS (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/WarrantsDetailsTextual</Role>
      <ShortName>WARRANTS (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/WarrantsTables</ParentRole>
      <Position>86</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R87.htm</HtmlFileName>
      <LongName>187 - Disclosure - EARNINGS (LOSS) PER SHARE (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EarningsLossPerShareDetails</Role>
      <ShortName>EARNINGS (LOSS) PER SHARE (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EarningsLossPerShareTables</ParentRole>
      <Position>87</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R88.htm</HtmlFileName>
      <LongName>188 - Disclosure - EARNINGS (LOSS) PER SHARE (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/EarningsLossPerShareDetailsTextual</Role>
      <ShortName>EARNINGS (LOSS) PER SHARE (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/EarningsLossPerShareTables</ParentRole>
      <Position>88</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R89.htm</HtmlFileName>
      <LongName>189 - Disclosure - INCOME TAXES (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IncomeTaxesDetails</Role>
      <ShortName>INCOME TAXES (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IncomeTaxesTables</ParentRole>
      <Position>89</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R90.htm</HtmlFileName>
      <LongName>190 - Disclosure - INCOME TAXES (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IncomeTaxesDetails1</Role>
      <ShortName>INCOME TAXES (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IncomeTaxesTables</ParentRole>
      <Position>90</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R91.htm</HtmlFileName>
      <LongName>191 - Disclosure - INCOME TAXES (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/IncomeTaxesDetailsTextual</Role>
      <ShortName>INCOME TAXES (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/IncomeTaxesTables</ParentRole>
      <Position>91</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R92.htm</HtmlFileName>
      <LongName>192 - Disclosure - RELATED PARTY TRANSACTIONS AND BALANCE (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/RelatedPartyTransactionsAndBalanceDetailsTextual</Role>
      <ShortName>RELATED PARTY TRANSACTIONS AND BALANCE (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/RelatedPartyTransactionsAndBalance</ParentRole>
      <Position>92</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R93.htm</HtmlFileName>
      <LongName>193 - Disclosure - SUBSIDY INCOME (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SubsidyIncomeDetailsTextual</Role>
      <ShortName>SUBSIDY INCOME (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/SubsidyIncome</ParentRole>
      <Position>93</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R94.htm</HtmlFileName>
      <LongName>194 - Disclosure - CONCENTRATIONS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConcentrationsDetails</Role>
      <ShortName>CONCENTRATIONS (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/ConcentrationsTables</ParentRole>
      <Position>94</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R95.htm</HtmlFileName>
      <LongName>195 - Disclosure - CONCENTRATIONS (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/ConcentrationsDetailsTextual</Role>
      <ShortName>CONCENTRATIONS (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/ConcentrationsTables</ParentRole>
      <Position>95</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R96.htm</HtmlFileName>
      <LongName>196 - Disclosure - DISCONTINUED OPERATIONS (Details)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/DiscontinuedOperationsDetails</Role>
      <ShortName>DISCONTINUED OPERATIONS (Details)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/DiscontinuedOperationsTables</ParentRole>
      <Position>96</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R97.htm</HtmlFileName>
      <LongName>197 - Disclosure - DISCONTINUED OPERATIONS (Details 1)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/DiscontinuedOperationsDetails1</Role>
      <ShortName>DISCONTINUED OPERATIONS (Details 1)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/DiscontinuedOperationsTables</ParentRole>
      <Position>97</Position>
    </Report>
    <Report instance="dhrm-20151231.xml">
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <HtmlFileName>R98.htm</HtmlFileName>
      <LongName>198 - Disclosure - SUBSEQUENT EVENTS (Details Textual)</LongName>
      <ReportType>Sheet</ReportType>
      <Role>http://www.dehaier.com.cn/role/SubsequentEventsDetailsTextual</Role>
      <ShortName>SUBSEQUENT EVENTS (Details Textual)</ShortName>
      <MenuCategory>Details</MenuCategory>
      <ParentRole>http://www.dehaier.com.cn/role/SubsequentEvents</ParentRole>
      <Position>98</Position>
    </Report>
    <Report>
      <IsDefault>false</IsDefault>
      <HasEmbeddedReports>false</HasEmbeddedReports>
      <LongName>All Reports</LongName>
      <ReportType>Book</ReportType>
      <ShortName>All Reports</ShortName>
    </Report>
  </MyReports>
  <InputFiles>
    <File>dhrm-20151231.xml</File>
    <File>dhrm-20151231.xsd</File>
    <File>dhrm-20151231_cal.xml</File>
    <File>dhrm-20151231_def.xml</File>
    <File>dhrm-20151231_lab.xml</File>
    <File>dhrm-20151231_pre.xml</File>
  </InputFiles>
  <SupplementalFiles/>
  <BaseTaxonomies/>
  <HasPresentationLinkbase>true</HasPresentationLinkbase>
  <HasCalculationLinkbase>true</HasCalculationLinkbase>
</FilingSummary>
